import { Controller, Get } from '@nestjs/common';
import { PostsService } from './posts.service';
import { CreatePostDto } from './dto';

@Controller('posts')
export class PostsController {

  constructor(private readonly postsService: PostService) {}

  @Get()
  findAll(): string {
    return this.postsService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: string): string {
    return this.postsService.findOne(id);
  }

  @Post()
  create(@Body() createPostDto: CreatePostDto): string {
    return this.postsService;
  }
}
